# August 22, 2017
# Version as specified by VERSION
# BSPlib compilation
SHELL=/bin/sh
VERSION=17pinso5
#
.SUFFIXES: .c .o
VPATH=.
CC= gcc -Wall -pedantic
CC=bspcc
CFLAGS= -flibrary-level 2   -mtune=native -march=native  -O3
CFLAGS= -flibrary-level 2   -mtune=native -march=native  -O2  #marginally better
LFLAGS= -flibrary-level 2  
LFLAGS= -flibrary-level 0  
LFLAGS= -flibrary-level 2  -bspnobuffers 4 -bspfifo 2000 -bspbuffer 15000 -fcombine-puts-buffer 2000
LINK=	${CC} ${CFLAGS} ${LFLAGS}
OBJBSPPRDX= aimisc.o prdxa.o prdxb.o i32rdx4.o btn.o mbspinso.o oets.o
OBJBSPPRDXPLUS= aimisc.o prdxa.o prdxb.o i32rdx4.o btn.o mbspinsp.o oets.o gsd.o seqo.o
all	:	bsp bspplus
bsp	:	avgai.h cbsp ${OBJBSPPRDX} 
	${CC} ${CFLAGS} -o bspinso ${OBJBSPPRDX} ${LFLAGS}
bspplus	:	avgai.h cbsp ${OBJBSPPRDXPLUS} 
	${CC} ${CFLAGS} -o bspinsp ${OBJBSPPRDXPLUS} ${LFLAGS}
cbsp	:
	cp aibsp.h avgai.h
clean	:
	rm -f *.o *~ bspinso mpipinso bspinsp
#*******************************************************************
#******  Copyright (c) 2017  Alexandros V. Gerbessiotis            *
#****** All rights reserved; read copypinso.txt file               *
#*******************************************************************
