/*******************************************************************
*******  Copyright (c) 2016-2017  Alexandros V. Gerbessiotis       *
******* All rights reserved; read copyag17.txt file                *
*******************************************************************/
#undef  BSPLIB
#define BSPLIB
#undef  MCORE
#define MCORE     /* SWAP this and the next line for MultiCoreBSP */

/**** BSP lib related definitions */
#ifdef BSPLIB
#ifdef MCORE
#include "../include/mcbsp.h"
#else
#include "bsp.h"
#endif
#define AIBEGIN     bsp_begin
#define AIEND       bsp_end
#define AIABORT     bsp_abort
#define AIBSPINIT   bsp_init
#define AIPID       bsp_pid
#define AINPROCS    bsp_nprocs
#define AITIME      bsp_time

#define AIL()       ((double)10.0)
#define AIG()       ((double)1.0)
#define AISETL(X)   {(double)10.0}
#define AISETG(X)   {(double)1.0}

#define AIGET       bsp_get
#define AIOGET      bsp_get
#define AIHPGET     bsp_hpget
#define AIOHPGET    bsp_hpget
#define AIPUT       bsp_put
#define AIOPUT      bsp_put
#define AIHPPUT     bsp_hpput
#define AIOHPPUT    bsp_hpput

#define AIREGISTER    bsp_push_reg
#define AIDEREGISTER  bsp_pop_reg
#define AIINIT()      {;}
#define AICOMMIT()    bsp_sync()
#define AISYNC()      bsp_sync()   
#define AIBARRIER()   bsp_sync() 

#define AI1REGISTER   bsp_push_reg
#define AI1DEREGISTER bsp_pop_reg
#define AI1INIT(Z)    {;}
#define AI1COMMIT()   bsp_sync()
#define AI1SYNC(Z)    {;}
#define AI1BARRIER()  bsp_sync()
#endif
